ae-repo-ci(1)

NAME
ae-repo-ci - redundant repository checkin

SYNOPSIS
ae-repo-ci -Project name -Change number -REPOsitory type [ option... ]
ae-repo-ci -Help
ae-repo-ci -VERSion

DESCRIPTION
The ae-repo-ci command is used to redundantly commit an Aegis change set into a parallel repository.

  Integrate Pass Notify Command
The intended use for the ae-repo-ci command is as an integrate_pass_notify_command (see aepa(1) for more information) to do a redundant checkin of a change set into a second parallel repository.

For example, if you were using CVS, the project attribute would look something like this:
    integrate_pass_notify_command =
        "$bin/ae-repo-ci -repo cvs "
        " -p $project -c $change";
You may also need to specify the module, if the module name is not the same as the project name.

  Commit Messages
You are able to control the commit message, by using the ae-repo-ci:commit-message sttribute in the project_specific field of the project configuration file.

The default is as if the following entry were present:
    project_specific = [
        {
            name = "ae-repo-ci:commit-message";
            value = "$version - ${change brief_description}";
        } ];
All of the aesub(5) substitutions are available.

OPTIONS
The following options are understood:

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-DIRectory path
    This option may be used to specify which directory is to be used. It is an error if the current user does not have appropriate permissions to create the directory path given. This must be an absolute path.

    Caution: If you are using an automounter do not use `pwd` to make an absolute path, it usually gives the wrong answer.

-Help
    This option may be used to obtain more information about how to use the ae-repo-ci program.

-List
    This option may be used to obtain a list of supported repository types.

-MODule name
    This option may be used to specify which module is to be checked out. If not set, it defaults to the trunk project name (i.e. the project name without any branch or version numbers).

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-REPOsitory type
    This option is used to specify the repository type for the checkin. Known repository types are:

    cvs Concurrent version System. You will need to set the CVSROOT environment variable appropriately, and the -modue option will be relative to it.

    svn
        Subversion. You must specify the complete URL with the -module option.

        The following field in the project_specific field of the project configuration file (see aepconf(5) for more information) are relevant:

        svn:username
            If present, the --username command line option will be added to svn(1) command lines, with this value.

        svn:password 8n
            If present, the --username command line option will be added to svn(1) command lines, with this value.

        These options can help when you can't convince Subversion to use the correct athorization any other way.

    This option must be specified, there is no default. The -list option may be used to obtain an up-to-date list of supported repository types.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for ae-repo-ci are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The ae-repo-ci command will exit with a status of 1 on any error. The ae-repo-ci command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

aeca(1)
    how to change project attributes

COPYRIGHT
ae-repo-ci version 4.24.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The ae-repo-ci program comes with ABSOLUTELY NO WARRANTY; for details use the 'ae-repo-ci -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'ae-repo-ci -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/